;; -*-emacs-lisp-*-
;;
;; Emacs startup file for the Debian GNU/Linux lbdb package
;;
;; Originally contributed by Nils Naumann <naumann@unileoben.ac.at>
;; Modified by Dirk Eddelbuettel <edd@debian.org>
;; Adapted for dh-make by Jim Van Zandt <jrv@vanzandt.mv.com>

;; The lbdb package follows the Debian/GNU Linux 'emacsen' policy and
;; byte-compiles its elisp files for each 'emacs flavor' (emacs19,
;; xemacs19, emacs20, xemacs20...).  The compiled code is then
;; installed in a subdirectory of the respective site-lisp directory.

;; We have to add this to the load-path:
(setq load-path (cons (concat "/usr/share/"
                              (symbol-name flavor)
			      "/site-lisp/lbdb") load-path))

(autoload 'lbdb "lbdb" 
  "Interactively query the Little Brother's Database." t)
(autoload 'lbdb-region "lbdb"
  "Look for the contents of regioning bounded by START and END." t)
(autoload 'lbdb-maybe-region "lbdb" 
  "If region is active search for content of region otherwise prompt." t)
